﻿@import 'common-variant.css';
/*
    header container navigator footer ajax 
*/

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

html {
    position: relative;
    min-height: 100%;
}

body {
}

.common-main {
    min-height: calc(100vh - 150px);
}

.nav-scroll-empty-box {
    height: 77px;
}

.container-fluid {
    width: 95%;
    margin: 20px auto 0 auto;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

    .container-fluid form {
        margin: 0 auto;
    }

    .container-fluid > nav {
        display: inline-block;
        border: 0px solid #A00200;
        vertical-align: top;
    }

    .container-fluid .navigator-icon {
        display: none;
    }

        .container-fluid .navigator-icon > .fa {
            font-size: 3em;
        }



@media (min-width: 1200px) {
    .container-fluid {
        box-sizing: border-box;
    }

        .container-fluid > nav {
            float: left;
            width: 20%;
            border: 0 solid #A00200;
            vertical-align: top;
            box-sizing: border-box;
            padding: 0 8px 0 0;
            margin: 0;
        }
}

@media (min-width: 980px) and (max-width: 1199px) {
    .container-fluid {
        width: 100%;
    }
}

@media (min-width: 768px) and (max-width: 979px) {
    .container-fluid {
        width: 100%;
    }
}

@media (max-width: 767px) {
    .nav-scroll-empty-box {
        height: 50px;
    }

    .container-fluid {
        width: 100%;
    }

    footer {
        width: 100%;
        padding: 0;
    }

        footer > ul {
            width: 100%;
            display: block;
        }

            footer > ul > li {
                display: inline-block;
                height: 25px;
                line-height: 25px;
            }

                footer > ul > li::after {
                    content: ' 、 ';
                }

                footer > ul > li:last-child::after {
                    content: '';
                }
}

@media (max-width: 480px) {
    .container-fluid {
        padding: 1px;
        margin: 0;
        width: 100%;
    }

        .container-fluid .row {
            margin: 0;
        }

            .container-fluid .row > div {
               /* padding: 0 2px;*/
            }

        .container-fluid > nav {
            position: absolute;
            top: 50px;
            right: 0;
            border: 0px solid #A00200;
            background-color: #FFFFFF;
        }

        .container-fluid .navigator-icon {
            display: inline-block;
            position: absolute;
            top: 0.25em;
            right: 0;
            width: 3em;
            height: 3em;
            /*border: 1px solid #3799FF;*/
            -webkit-box-shadow: 0 0 10px #ADADAD;
            box-shadow: 0 0 10px #ADADAD;
            border-radius: 3px;
            text-align: center;
            vertical-align: middle;
            cursor: pointer;
            color: #BCD2E6;
            background-color: rgba(200,200,200,0.6);
        }
}

/* menu 部份*/
.common-nav-fixtop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
}

.common-nav-home,
.common-nav-member,
.common-nav-photo,
.common-nav-account,
.common-nav-todo,
.common-nav-calendar,
.common-nav-blog,
.common-nav-stock,
.common-nav-note,
.common-nav-e-book,
.common-nav-auction {
    color: #666666;
}

    .common-nav-home:hover, .common-nav-home-actived {
        color: #03a9f4;
        background-color: #eeeeee;
    }

    .common-nav-member:hover, .common-nav-member-actived {
        color: #f44336;
        background-color: #eeeeee;
    }

    .common-nav-photo:hover, .common-nav-photo-actived {
        color: #e91e63;
        background-color: #eeeeee;
    }

    .common-nav-account:hover, .common-nav-account-actived {
        color: #9c27b0;
        background-color: #eeeeee;
    }

    .common-nav-todo:hover, .common-nav-todo-actived {
        color: #3f51b5;
        background-color: #eeeeee;
    }

    .common-nav-calendar:hover, .common-nav-calendar-actived {
        color: #03a9f4;
        background-color: #eeeeee;
    }

    .common-nav-blog:hover, .common-nav-blog-actived {
        color: #009688;
        background-color: #eeeeee;
    }

    .common-nav-stock:hover, .common-nav-stock-actived {
        color: #8bc34a;
        background-color: #eeeeee;
    }

    .common-nav-note:hover, .common-nav-note-actived {
        color: #31238e;
        background-color: #eeeeee;
    }

    .common-nav-e-book:hover, .common-nav-e-book-actived {
        color: #ff9800;
        background-color: #eeeeee;
    }

    .common-nav-auction:hover, .common-nav-auction-actived {
        color: #ff5722;
        background-color: #eeeeee;
    }

    .common-nav-member:hover,
    .common-nav-photo:hover,
    .common-nav-account:hover,
    .common-nav-todo:hover,
    .common-nav-calendar:hover,
    .common-nav-blog:hover,
    .common-nav-stock:hover,
    .common-nav-note:hover,
    .common-nav-e-book:hover,
    .common-nav-auction:hover {
        background-color: #eeeeee;
    }

.navmenu-mobile-btn {
    display: none;
}

header {
    background-color: #f8f8f8;
    margin: 0;
    box-shadow: 0 0 3px #8d6969;
}

.common-nav-login-info {
    position: absolute;
    top: 10px;
    right: 90px;
    margin: 0;
    padding: 0.5em 0.5em 0 0;
    text-align: right;
    font-size: 10px;
}

    .common-nav-login-info > h6 {
        margin: 0;
        padding: 0.5em;
    }

    .common-nav-login-info > a > i {
        padding: 5px;
    }


.common-menu {
    border: 0;
    max-width: 1280px;
    margin: 0 auto;
    padding: 0;
}

    .common-menu > ul {
        width: 100%;
        margin: 0;
        padding: 0;
        border: 0;
    }

        .common-menu > ul > li {
            text-align: center;
            display: inline-block;
            width: 9.5%;
            margin: 0;
            padding: 5px 0;
            border: 0;
            margin: 8px auto 8px auto;
            cursor: pointer;
            transition: 0.4s;
            border-radius: 3px;
            box-sizing: border-box;
            -moz-box-sizing: border-box;
            -webkit-box-sizing: border-box;
        }
		
		.common-menu > ul > li > img {
			max-width:20px;
        }

            .common-menu > ul > li > i {
                margin: 0;
                padding: 0;
                display: inline-block;
                width: 100%;
                text-align: center;
                font-size: 1em;
                border: 0;
            }

            .common-menu > ul > li > h3 {
                margin: 0;
                padding: 0;
                font-size: 12px;
                font-weight: normal;
                text-align: center;
            }


@media (min-width: 980px) and (max-width: 1400px) {
    .common-menu {
        width: 90%;
        margin: 0 3em 0 0;
    }
}

@media (min-width: 768px) and (max-width: 979px) {
    .common-menu {
        border: 0;
        width: 90%;
        margin: 0 0 0 0.5em;
    }

        .common-menu > ul > li > i {
            font-size: 1.25em;
        }
}

@media (max-width: 767px) {
    .common-nav-login-info {
        text-align: right;
        right: 10px;
        font-size: 1em;
        padding: 0;
    }

        .common-nav-login-info > span {
            display: block;
        }

        .common-nav-login-info > a {
            font-size: 0.9em;
        }


    .common-menu {
        border: 0;
        width: 85%;
        margin: 0;
        z-index: 99;
        position: relative;
        background-color: #ffffff;
    }

        .common-menu > ul {
            text-align:center;
        }
        .common-menu > ul > li {
            height: 48px;
        }

            .common-menu > ul > li > img {
                line-height: 48px;
                vertical-align: middle;
                margin-left: 0.5em;
                max-width: 40px;
                height: 30px;
            }

            .common-menu > ul > li > h3 {
                line-height: 25px;
                vertical-align: middle;
                margin-left: 0;
                font-size: 0.8em;
                display: inline-block;
                min-width: 30px;
            }

            .common-menu > ul > li > i {
                font-size: 1.5em;
            }
}

@media (max-width: 600px) {
    header {
    }

    .navmenu-mobile-container {
        min-height: 45px;
    }

    .navmenu-mobile-btn {
        display: inline-block;
        position: absolute;
        top: 5px;
        right: 5px;
        background-color: #eeeeee;
        width: 35px;
        height: 35px;
        line-height: 35px;
        border-radius: 5px;
        padding: 0.25em;
        padding-top: 10px;
        border: 1px solid #cccccc;
        box-sizing: border-box;
    }

        .navmenu-mobile-btn > .a, .navmenu-mobile-btn > .b, .navmenu-mobile-btn > .c {
            display: block;
            width: 25px;
            height: 3px;
            margin: 0 auto;
            background-color: #999999;
            margin-bottom: 3px;
            -webkit-transition: all 0.3s ease;
            transition: all 0.3s ease;
            -webkit-transform: rotate(0deg) translate3d(0px, 0px, 0px);
            transform: rotate(0deg) translate3d(0px, 0px, 0px);
        }

    .active > .a {
        -webkit-transform: rotate(405deg) translate3d(4.25px, 4.25px, 0px);
        transform: rotate(405deg) translate3d(4.25px,4.25px, 0px);
    }

    .active > .b {
        width: 30px;
        opacity: 0;
    }

    .active > .c {
        -webkit-transform: rotate(-405deg) translate3d(4.25px, -4.25px, 0px);
        transform: rotate(-405deg) translate3d(4.25px, -4.25px, 0px);
    }


    .common-nav-login-info {
        position:initial;
        padding: 2.5em 0;
        display: none;
        font-size:1.25em;
        height: calc(100vh - 395px);
        text-align: center;
    }

    .common-menu {
        border: 0 solid blue;
        width: 100%;
        margin: 0;
        display: none;
    }

        .common-menu > ul {
            margin: 0;
            padding: 3px;
        }

            .common-menu > ul > li {
                display: inline-block;
                margin: 2px;
                width: 31.6%;
                text-align: center;
                padding: 15px;
                border: 1px solid #eeeeee;
                -webkit-transition: 0.2s;
                -moz-transition: 0.2s;
                transition: 0.2s;
                -webkit-border-radius: 5px;
                -moz-border-radius: 1px;
                height: 24.2%;
            }

                .common-menu > ul > li > img {
                    width: auto;
                    height: auto;
                    margin: 0;
                    line-height: 0;
                }

                .common-menu > ul > li > h3 {
                    line-height: 35px;
                    vertical-align: initial;
                    margin: 0;
                    padding: 0;
                    font-size: 1.125em;
                    display: block;
                    min-width: initial;
                    text-align: center;
                }

                .common-menu > ul > li > i {
                    width: 40px;
                    padding-top: 5px;
                    font-size: 2.75em;
                }

                    .common-menu > ul > li > i:hover {
                        color: #FFFFFF;
                        background-color: #CCCCCC;
                    }

    .common-nav-login-info > a {
        font-size: 1.5em;
        margin: 3px;
        padding: 5px 8px;
        cursor: pointer;
    }

    .common-nav-member {
        color: #f44336;
        background-color: #eeeeee;
    }

    .common-nav-photo {
        color: #e91e63;
        background-color: #eeeeee;
    }

    .common-nav-account {
        color: #9c27b0;
        background-color: #eeeeee;
    }

    .common-nav-todo {
        color: #3f51b5;
        background-color: #eeeeee;
    }

    .common-nav-calendar {
        color: #03a9f4;
        background-color: #eeeeee;
    }

    .common-nav-blog {
        color: #009688;
        background-color: #eeeeee;
    }

    .common-nav-stock {
        color: #8bc34a;
        background-color: #eeeeee;
    }

    .common-nav-note {
        color: #31238e;
        background-color: #eeeeee;
    }

    .common-nav-e-book {
        color: #ff9800;
        background-color: #eeeeee;
    }

    .common-nav-auction {
        color: #ff5722;
        background-color: #eeeeee;
    }
}

/* footer */
footer {
    background-color: rgb(51, 51, 51);
    font-family: 'Open Sans',Helvetica,Arial,Lucida,sans-serif;
    font-size: 12px;
    color: rgb(204 204 204);
    z-index:999;
    position:relative;
}

.footer-section {
    padding: 15px 20px 15px 20px;
}

    .footer-section h2 {
        font-size: 20px;
        letter-spacing: 3px;
        color: rgb(204 204 204);
        border-bottom: 1px solid #444444;
        text-align: center;
        padding-bottom: 8px;
    }

    .footer-section ul {
        list-style: none;
        min-height: 50px;
    }

        .footer-section ul > li {
        }

            .footer-section ul > li > a {
                color: rgb(204 204 204);
                text-decoration: none;
            }

/*      關於我         */
.common-introduct {
    margin:0 5em;
    padding:1em 5em;
}
.common-introduct > h1 {
    text-align:center;
    border-bottom :1px solid #cccccc;
    padding-bottom:0.25em;
    margin-bottom:2em;
}
    .common-introduct > section {
        padding: 3em;
    }

    .common-introduct > section > h2 {
        display:inline-block;
        min-width:5em;
        border-bottom:1px solid #eeeeee;
        padding: 0 0.5em;
        margin: 0 0.75em 0.75em 0.75em;
    }
    .common-introduct > section > p {
    }

.cookiesConsent {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100vw;
    padding: 2em;
}
/*ajax box*/
.ajaxLoading {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1000;
    width: 100%;
    height: 100%;
    background-color: #EEEEEE;
    opacity: 0.7;
}

.ajaxStop {
    z-index: 0;
    position: relative;
    width: 10px;
    height: 10px;
    display: none;
}

.ajaxLoadingBox {
    position: absolute;
    left: 50%;
    top: 50%;
    display: inline-block;
    border: 5px solid #9a4a4a;
    border-radius: 10px;
    text-align: center;
    vertical-align: central;
    font-size: 18px;
    line-height: 50px;
    width: 300px;
    height: 50px;
    margin: -25px auto auto -150px;
}
